import { HttpClient as HC } from "./lib/http/http-client";
import { BackendProxy as BP } from "./lib/http/backend-proxy";
import { BuildSessionData as BSD, CreateBuildSessionIdResponse as CBIDResponse, HttpClientConfigData as HCCD, GetVersionRequest as GVR } from "./lib/http/contracts";
import { MessagesFormatter as MF } from "./lib/messages-formatter";
import { SlEnvVars as SEV } from "./lib/constants/sl-env-vars";
import { FootprintsProcess as FPP } from "./lib/footprints-process";
import { IstanbulToFootprints as ITF } from "./lib/footprints-process/istanbul-to-footprints";
import { Watchdog as WD } from "./lib/watchdog";
import { WatchdogOptions as WDO } from "./lib/watchdog";
import { FootprintsServiceProxy as FPRX } from "./lib/footprints-process/footprints-service-proxy";
import { EnvironmentDataService as EDS } from "./lib/environment-data-service";
import { AgentConfig as CFG } from "./lib/config";
import { ConfigLoader as CLD } from "./lib/config-loader";
import { IExtendedIstanbulMetrics as EIM } from "./lib/footprints-process/istanbul-to-footprints-contract";
import { AgentDataService as ADS } from "./lib/agent-data-service";
import { IFootprintsFile as IPF, IFootprintsHandler as IFPH } from "./lib/contracts";
import { ValidationUtils as VU } from "./lib/utils/validation-utils";
import { SlIgnoreWrapper as SIW } from "./lib/sl-ignore-wrapper";
import { ProductionFootprintsHandler as PFPH } from "./lib/footprints-process/production-footprints-handler";
import { StartExecutionRequest as SER, EndExecutionRequest as EER, UploadReportRequest as URR, AgentData as AD, UploadReportsBody as URB } from "./lib/http/contracts";
import { UniqueIdConverter as UIDC } from "./lib/coverage-elements/unique-id-converter";
import { ShortNameToFileMapper as SNTF } from "./lib/short-name-to-file-mapper";
export declare namespace SlJsInfra {
    type Watchdog = WD;
    const Watchdog: typeof WD;
    type HttpClient = HC;
    const HttpClient: typeof HC;
    type BackendProxy = BP;
    const BackendProxy: typeof BP;
    type AgentConfig = CFG;
    const AgentConfig: typeof CFG;
    type ConfigLoader = CLD;
    const ConfigLoader: typeof CLD;
    type MessageFormatter = MF;
    const MessageFormatter: typeof MF;
    type SlEnvVars = SEV;
    const SlEnvVars: typeof SEV;
    type FootprintsProcess = FPP;
    const FootprintsProcess: typeof FPP;
    type FootprintsProxy = FPRX;
    const FootprintsProxy: typeof FPRX;
    type ProductionFootprintsHandler = PFPH;
    const ProductionFootprintsHandler: typeof PFPH;
    type IstanbulToFootprints = ITF;
    const IstanbulToFootprints: typeof ITF;
    type EnvironmentDataService = EDS;
    const EnvironmentDataService: typeof EDS;
    type AgentDataService = ADS;
    const AgentDataService: typeof ADS;
    type SlIgnoreWrapper = SIW;
    const SlIgnoreWrapper: typeof SIW;
    type UniqueIdConverter = UIDC;
    const UniqueIdConverter: typeof UIDC;
    type ShortNameToFileMapper = SNTF;
    const ShortNameToFileMapper: typeof SNTF;
    namespace Utils {
        type ValidationUtils = VU;
        const ValidationUtils: typeof VU;
    }
    namespace Entities {
        type BuildSessionData = BSD;
        const BuildSessionData: typeof BSD;
        type CreateBuildSessionIdResponse = CBIDResponse;
        const CreateBuildSessionIdResponse: typeof CBIDResponse;
        type HttpClientConfigData = HCCD;
        const HttpClientConfigData: typeof HCCD;
        type GetVersionRequest = GVR;
        const GetVersionRequest: typeof GVR;
        type WatchdogOptions = WDO;
        const WatchdogOptions: typeof WDO;
        type IExtendedIstanbulMetrics = EIM;
        const IExtendedIstanbulMetrics: typeof EIM;
        type IFootprintsFile = IPF;
        type IFootprintsHandler = IFPH;
        type StartExecutionRequest = SER;
        const StartExecutionRequest: typeof SER;
        type EndExecutionRequest = EER;
        const EndExecutionRequest: typeof EER;
        type UploadReportRequest = URR;
        const UploadReportRequest: typeof URR;
        type AgentData = AD;
        const AgentData: typeof AD;
        type UploadReportsBody = URB;
        const UploadReportsBody: typeof URB;
    }
}
