import { IIstanbulLocation, IIstanbulModule, IIstanbulProcessMetrics } from "../footprints-process/istanbul-to-footprints-contract";
export declare class OriginalModuleLoader {
    private coverageObject;
    private logger;
    private _fileToSourceMapConsumer;
    constructor(coverageObject: IIstanbulProcessMetrics, logger: any);
    load(): void;
    private tryLoadOriginalModule(istanbulModule);
    private readOriginalModule(moduleName);
    private resolveAndAddMethod(method, sourceMapsReader, moduleName);
    private resolveAndAddBranch(branch, sourceMapsReader, moduleName);
    private loadOriginalDataForElement(sourceMapsReader, element, moduleName, originalElement);
    private addElementToModule(moduleName, element, mapObjectKey);
    private createElementSourceData(locationElement, sourceMapsReader, moduleName);
    private getOrCreateIstanbulModule(moduleName);
    private getSourceMapForFile(fullPath);
    private readSourceMapData(sourceMaps, start, fullPath);
    private createElementKey(element);
    private createEmptyBranchObject();
    private createEmptyMethodObject();
    private createIstanbulModule(path);
    fileToSourceMapConsumer: {
        [p: string]: IIstanbulModule;
    };
}
export interface IIstanbulBranch {
    loc: IIstanbulLocation;
    decl?: IIstanbulLocation;
    line: number;
    type: string;
    locations: IIstanbulLocation[];
}
export interface IIstanbulMethod {
    loc: IIstanbulLocation;
    decl?: IIstanbulLocation;
    line: number;
    name: string;
}
