/// <reference types="bunyan" />
import { IFootprintsFile, IFootprintsHandler } from "../contracts";
import { AgentConfig } from "../config";
import * as bunyan from 'bunyan';
export declare class ProductionFootprintsHandler implements IFootprintsHandler {
    private metaData;
    private logger;
    private methodIdToHits;
    private filename;
    constructor(cfg: AgentConfig, logger: bunyan);
    handleFootprints(footprintsPacket: IFootprintsFile, callback: (err: Error) => void): void;
    private saveMethodsHits(packetToSend);
    private addHitsFromFootprints(files);
    private tryParseFileContent(fileContent);
    private validateConfig(config);
    private addHitsFromFile();
    private writeDataToFile();
    private createFilePath(config);
    private combineArgsWithDash(...args);
    private updateHits(methodsHitFromFile);
    toJSonObject(): {
        meta: {};
        methodsHits: {
            [methodId: string]: number;
        };
    };
}
