/// <reference types="bunyan" />
/// <reference types="request" />
import { HttpClientConfigData } from "./contracts";
import request = require("request");
import bunyan = require("bunyan");
import { HttpVerb } from "./http-verb";
export declare class HttpClient {
    protected cfg: HttpClientConfigData;
    protected logger: bunyan;
    protected defaultTimeout: number;
    constructor(cfg: HttpClientConfigData, logger: bunyan);
    get<T>(urlPath: string, callback: (err: Error, response: T) => void): void;
    delete<T>(urlPath: string, callback: (err: Error, data: T) => void): void;
    post(requestData: any, urlPath: string, callback: (err: Error, body: any) => void): void;
    postMultipart(requestData: any, urlPath: string, callback: (err: Error, body: any) => void): void;
    private invokeHttpRequest(httpVerb, urlPath, callback, additionalHeaders?, buffer?);
    protected createOnRequestCallback(httpVerb: HttpVerb, requestId: string, callback: (err: Error, body: any) => void): (err: any, requestResponse: any, body: any) => void;
    private allowUntrustedCertificates();
    protected createDefaultOptions(urlPath: string): request.OptionsWithUrl;
    protected getDefaultTimeout(): number;
}
